Bug 1026254 - expand Xclients to start other desktops then KDE and GNOME (package xorg-x11-xinit)
expand Xclients to start other desktops then KDE and GNOME (package xorg-x11-...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-apps (Show other bugs)
19
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 04:36 EST by Gerd Pokorra
Modified: 2015-02-17 14:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:01:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
modified Xclients file to start also XFCE (2.12 KB, application/x-shellscript)
2013-11-04 04:36 EST, Gerd Pokorra
no flags Details

  None (edit)
Description Gerd Pokorra 2013-11-04 04:36:11 EST
Created attachment 819016 [details]
modified Xclients file to start also XFCE

Description of problem:
If only XFCE is installed then "startx" will not work.

Version-Release number of selected component (if applicable):
xorg-x11-xinit-1.3.2-8

How reproducible:
If only XFCE is selected to be installed, then switch to runlevel 3 and enter 'startx'.

Steps to Reproduce:
1. Choose the desktop environment 'XFCE' during the installation of F19.
2. Change the runlevel from 5 to 3.
   current: init 3
   permanent: ln -s /etc/systemd/system/default.target /lib/systemd/system/multi-user.target
3. startx

Actual results:
startx abort

Expected results:
XFCE should start

Additional info:
It works fine in runlevel 5. But i like the login at the text console and then to enter startx. It would be nice to expand Xclients to start other desktop enveronments. I attached the file Xclients.with_XFCE that expand Xclients with XFCE.
Comment 1 Gerd Pokorra 2013-11-04 04:42:52 EST
The file 'Xclients' is part of the package 'xorg-x11-xinit'.
Comment 2 Fedora End Of Life 2015-01-09 15:26:54 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 14:01:23 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.